module(..., package.seeall)

-- Load libraries
require("controllerfunctions")

default_action = "status"

function status(self)
	return self.model.getstatus()
end

function config(self)
	return controllerfunctions.handle_form(self, self.model.read_config, self.model.update_config, self.clientdata, "Save", "Edit Config", "Configuration Saved")
end

function startstop(self)
	return controllerfunctions.handle_startstop(self, self.model.startstop_service, self.clientdata)
end

function expert(self)
	return controllerfunctions.handle_form(self, self.model.getconfigfile, self.model.setconfigfile, self.clientdata, "Save", "Edit Config", "Configuration Saved")
end

function connectedpeers(self)
	return self.model.list_conn_peers()
end

function listusers(self)
	return self.model.list_users()
end

function listauth(self)
	return self.model.list_auths(self.clientdata.user)
end

function deleteauth(self)
	return self:redirect_to_referrer(self.model.delete_auth(self.clientdata.user, self.clientdata.auth))
end

function addauth(self)
	return controllerfunctions.handle_form(self, function() return self.model.get_auth(self.clientdata.user) end, self.model.create_auth, self.clientdata, "Add", "Add New Authorized Key", "Key Added")
end
